Skip to content

Platform API

Transfers

Endpoints and schemas for the Transfers API area.

Transfers


List transfers

GET
/v1/transfers

Returns transfers matching the given filters, with pagination metadata.

Authorizations

papiHmac

HMAC authentication. Send x-api-key, x-timestamp, x-nonce, and an x-signature computed over the request.

Type
API Key (header: x-api-key)

Parameters

Query Parameters

type
Type
string
Valid values
"deposit""withdrawal""transfer"
status
Type
string
Valid values
"pending""finished""cancelled"
metadata
Type
object
search
Type
string
orderBy
wallet
token
limit
Type
integer
Exclusive Minimum
true
Maximum
9007199254740991
offset
Type
integer
Minimum
0
Maximum
9007199254740991
createdAtFrom
Type
string
createdAtTo
Type
string
amountMin
Type
number
Minimum
0
Exclusive Minimum
true
amountMax
Type
number
Minimum
0
Exclusive Minimum
true
identifier
Type
string
identifiers
Type
array
operation
Type
string
Valid values
"CREDIT""DEBIT"

Responses

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"identifier": "string",
  
  
  
"token": "string",
  
  
  
"amount": 0,
  
  
  
"fromWallet": "string",
  
  
  
"toWallet": "string",
  
  
  
"operation": "string",
  
  
  
"status": "string",
  
  
  
"subStatus": "string",
  
  
  
"type": "string",
  
  
  
"description": "string",
  
  
  
"referenceNumber": "string",
  
  
  
"debitorName": "string",
  
  
  
"debitorIban": "string",
  
  
  
"debitorSwift": "string",
  
  
  
"creditorName": "string",
  
  
  
"creditorIban": "string",
  
  
  
"creditorSwift": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"metadata": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"paymentRejected": true,
  
  
  
"paymentRejectedAt": "string",
  
  
  
"paymentRejectReason": "string",
  
  
  
"paymentBankStatus": "string",
  
  
  
"paymentBankStatusAt": "string"
  
  
}
  
],
  
"metadata": {
  
  
"total": 0,
  
  
"offset": 0,
  
  
"limit": 0,
  
  
"more_rows": true,
  
  
"additionalProperties": null
  
}
}

Playground

Authorization
Variables
Key
Value

Samples